Skip to main content
GET
/
:projectId
/
api
/
v7
/
connections
/
pending
/
received
Fetch Received Pending Connections
curl --request GET \
  --url https://api.replyke.com/api/v6/:projectId/api/v7/connections/pending/received
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "user": {},
      "message": {},
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "pageSize": 123,
    "totalItems": 123,
    "totalPages": 123,
    "hasMore": true
  }
}
Returns a paginated list of connection requests that other users have sent to the authenticated user and that have not yet been responded to.

Query Parameters

page
number
Page number for pagination. Defaults to 1.
limit
number
Number of results per page. Defaults to 20. Max 100.

Response

On success, returns HTTP 200 with a paginated response:
data
array
Array of pending connection request entries.
pagination
object
Pagination metadata.

See Also